/**
 * DevExtreme (cjs/__internal/pager/common/consts.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.PAGER_SELECTION_CLASS = exports.PAGER_SELECTED_PAGE_SIZE_CLASS = exports.PAGER_PAGE_SIZE_CLASS = exports.PAGER_PAGE_SIZES_CLASS = exports.PAGER_PAGE_INDEXES_CLASS = exports.PAGER_PAGE_CLASS = exports.PAGER_PAGES_CLASS = exports.PAGER_CLASS = exports.LIGHT_MODE_CLASS = exports.FIRST_CHILD_CLASS = void 0;
const PAGER_CLASS = exports.PAGER_CLASS = "dx-pager";
const LIGHT_MODE_CLASS = exports.LIGHT_MODE_CLASS = "dx-light-mode";
const PAGER_PAGES_CLASS = exports.PAGER_PAGES_CLASS = "dx-pages";
const PAGER_PAGE_INDEXES_CLASS = exports.PAGER_PAGE_INDEXES_CLASS = "dx-page-indexes";
const PAGER_PAGE_CLASS = exports.PAGER_PAGE_CLASS = "dx-page";
const PAGER_SELECTION_CLASS = exports.PAGER_SELECTION_CLASS = "dx-selection";
const PAGER_PAGE_SIZE_CLASS = exports.PAGER_PAGE_SIZE_CLASS = "dx-page-size";
const PAGER_PAGE_SIZES_CLASS = exports.PAGER_PAGE_SIZES_CLASS = "dx-page-sizes";
const PAGER_SELECTED_PAGE_SIZE_CLASS = exports.PAGER_SELECTED_PAGE_SIZE_CLASS = `${PAGER_PAGE_SIZE_CLASS} ${PAGER_SELECTION_CLASS}`;
const FIRST_CHILD_CLASS = exports.FIRST_CHILD_CLASS = "dx-first-child";
