/**
 * DevExtreme (esm/__internal/core/utils/promise.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
export function createPromise() {
    let resolve;
    let reject;
    const promise = new Promise(((res, rej) => {
        resolve = res;
        reject = rej
    }));
    return {
        promise: promise,
        resolve: resolve,
        reject: reject
    }
}
