/**
 * DevExtreme (esm/__internal/grids/grid_core/sticky_columns/const.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
export const STICKY_BORDER_WIDTH = 2;
export var StickyPosition;
! function(StickyPosition) {
    StickyPosition.Left = "left";
    StickyPosition.Right = "right";
    StickyPosition.Sticky = "sticky"
}(StickyPosition || (StickyPosition = {}));
export const CLASSES = {
    stickyColumn: "sticky-column",
    stickyColumnLeft: "sticky-column-left",
    stickyColumnRight: "sticky-column-right",
    stickyColumnBorderRight: "sticky-column-border-right",
    stickyColumnBorderLeft: "sticky-column-border-left",
    stickyColumns: "sticky-columns",
    firstHeader: "first-header",
    columnNoBorder: "column-no-border"
};
