/**
 * DevExtreme (esm/__internal/core/license/license_validation.server.test.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    setLicenseCheckSkipCondition,
    validateLicense
} from "./license_validation";
describe("license token", (() => {
    beforeEach((() => {
        setLicenseCheckSkipCondition(false)
    }));
    afterEach((() => {
        jest.restoreAllMocks()
    }));
    test("API inside trial_panel should not be triggered on the server", (() => {
        expect((() => validateLicense("", "1.0.4"))).not.toThrow()
    }))
}));
