/**
 * DevExtreme (esm/__internal/pager/common/base_pager_props.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import messageLocalization from "../../../localization/message";
import {
    BaseWidgetDefaultProps
} from "../base_props";
export const BasePagerDefaultProps = _extends({}, BaseWidgetDefaultProps, {
    gridCompatibility: true,
    showInfo: false,
    displayMode: "adaptive",
    maxPagesCount: 10,
    pageCount: 10,
    visible: true,
    hasKnownLastPage: true,
    pagesNavigatorVisible: "auto",
    showPageSizes: true,
    pageSizes: [5, 10],
    showNavigationButtons: false,
    totalCount: 0,
    label: messageLocalization.format("dxPager-ariaLabel")
});
