/**
 * DevExtreme (esm/__internal/pager/editors/common/editor_state_props.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import devices from "../../../../core/devices";
export const EditorStateDefaultProps = {
    hoverStateEnabled: true,
    activeStateEnabled: true,
    focusStateEnabled: "desktop" === devices.real().deviceType && !devices.isSimulator()
};
