/**
 * DevExtreme (esm/__internal/scheduler/r1/utils/timeline_month.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import dateUtils from "../../../../core/utils/date";
import {
    setOptionHour
} from "./base";
import {
    getViewStartByOptions
} from "./month";
export const calculateStartViewDate = (currentDate, startDayHour, startDate, intervalCount) => {
    const firstViewDate = dateUtils.getFirstMonthDate(getViewStartByOptions(startDate, currentDate, intervalCount, dateUtils.getFirstMonthDate(startDate)));
    return setOptionHour(firstViewDate, startDayHour)
};
